<mat-card>
  <mat-toolbar color="primary">Cursos Disponíveis</mat-toolbar>
  <div *ngIf="courses$ | async as courses; else loading">
    <table mat-table [dataSource]="courses" class="mat-elevation-z8">
      <!-- Course Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef>Curso</th>
        <td mat-cell *matCellDef="let course">{{ course.name }}</td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="category">
        <th mat-header-cell *matHeaderCellDef>Categoria</th>
        <td mat-cell *matCellDef="let course">
          {{ course.category }}
          <mat-icon aria-hidden="false" aria-label="Categoria do Curso">{{
            course.category | category
          }}</mat-icon>
        </td>
      </ng-container>

      <!-- Actions Column -->
      <ng-container matColumnDef="actions">
        <mat-header-cell *matHeaderCellDef>
          <button mat-mini-fab color="accent" aria-label="Adicionar cursos">
            <mat-icon (click)="onAdd()">add</mat-icon>
          </button>
        </mat-header-cell>

        <mat-cell *matCellDef="let course">
          <button mat-icon-button color="secondary" aria-label="Editar cursos">
            <mat-icon>edit</mat-icon>
          </button>
          <button mat-icon-button color="warn" aria-label="Excluir cursos">
            <mat-icon>delete</mat-icon>
          </button>
        </mat-cell>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
  </div>

  <ng-template #loading>
    <div class="loading-spinner">
      <mat-spinner></mat-spinner>
    </div>
  </ng-template>
</mat-card>
